<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.8.1 from org.apache.maven.plugins:maven-pmd-plugin:3.13.0:pmd at 2024-05-26 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Lab Code Inspection &#x2013; PMD Results</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta http-equiv="Content-Language" content="en" />
    
  </head>
  <body class="composite">
    <div id="banner">
<div id="bannerLeft">
Lab Code Inspection
</div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
      <div class="xleft">
        <span id="publishDate">Last Published: 2024-05-26</span>
          &nbsp;| <span id="projectVersion">Version: 0.0.1-SNAPSHOT</span>
      </div>
      <div class="xright"><a href="${project.url}" title="Lab Code Inspection">Lab Code Inspection</a>      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
       <h5>Project Documentation</h5>
    <ul>
     <li class="collapsed"><a href="project-info.html" title="Project Information">Project Information</a></li>
     <li class="expanded"><a href="project-reports.html" title="Project Reports">Project Reports</a>
      <ul>
       <li class="none"><a href="cpd.html" title="CPD">CPD</a></li>
       <li class="none"><strong>PMD</strong></li>
      </ul></li>
    </ul>
      <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
      </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
<div class="section">
<h2><a name="PMD_Results"></a>PMD Results</h2>
<p>The following document contains the results of <a class="externalLink" href="https://pmd.github.io">PMD</a> 6.21.0.</p></div>
<div class="section">
<h2><a name="Violations_By_Priority"></a>Violations By Priority</h2>
<div class="section">
<h3><a name="Priority_3"></a>Priority 3</h3>
<div class="section">
<h4><a name="labcodeinspection.2FEmailApp.java"></a>labcodeinspection/EmailApp.java</h4>
<table border="0" class="bodyTable">
<tr class="a">
<th>Rule</th>
<th>Violation</th>
<th>Line</th></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#methodargumentcouldbefinal">MethodArgumentCouldBeFinal</a></td>
<td>Parameter 'args' is not assigned and could be declared final</td>
<td>13</td></tr></table></div></div></div>
<div class="section">
<h2><a name="Files"></a>Files</h2>
<div class="section">
<h3><a name="labcodeinspection.2FEmailApp.java"></a>labcodeinspection/EmailApp.java</h3>
<table border="0" class="bodyTable">
<tr class="a">
<th>Rule</th>
<th>Violation</th>
<th>Priority</th>
<th>Line</th></tr>
<tr class="b">
<td><a class="externalLink" href="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_codestyle.html#methodargumentcouldbefinal">MethodArgumentCouldBeFinal</a></td>
<td>Parameter 'args' is not assigned and could be declared final</td>
<td>3</td>
<td>13</td></tr></table></div></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
        Copyright &#169;      2024.All rights reserved.      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
